Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154818 - JavaHelp in 'db' should have its own stylesheey
JavaHelp in 'db' should have its own stylesheey
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: TBD
Assigned To: Irina Filippova
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 21:56 UTC by Geertjan Wielenga
Modified: 2010-12-08 02:55 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geertjan Wielenga 2008-12-05 21:56:09 UTC
Having references to the stylesheet in 'usersguide' means that the 'db' javahelp is dependent on another module. For
NetBeans Platform applications such as Instant JChem, which make use of the 'db' module's JavaHelp without any other
JavaHelp in the IDE, this is a problem. Would be much better of this module was self-contained, i.e., the CSS references
should point to a stylesheet within the 'db' module, not to a stylesheet in the 'usersguide' module, even though this
means having two stylesheets with the same content, one in 'usersguide' and one in 'db'.
Comment 1 Geertjan Wielenga 2008-12-05 22:01:28 UTC
Actually would be even better to be able to set a CSS in the application, instead of in the module. That would require
modules in NetBeans IDE to do the same: i.e., they should not have hardcoded references to a CSS within a module (not in
another module and not within its own module) but to a CSS that's outside the module, within an application-wide folder.
Comment 2 timdudgeon 2008-12-06 07:09:26 UTC
I would vote for having the option to specify a single stylesheet that could be used in java help in all modules of a nb
platform based app.
This is presumably a build issue, as it applies to any module?
Of course I would expect there might be a need for each module to define its own stylesheet that override the default,
but that would be less common.
Comment 3 Patrick Keegan 2008-12-06 08:42:58 UTC
resetting priority. I don't think a broken css reference counts as a P2 where a feature doesn't work - http://wiki.netbeans.org/BugPriorityGuidelines; ideally, 
we should have a place for the css that is independent of content location, but I don't think the current type of scenario (where one help is reused but 
usersguide help isn't) is one that is that common. So, a general solution, which would have its own side effects might be over-architecting. I suggest merely 
copying the ide.css into the db module and updating the references in the help topic


Comment 4 Patrick Keegan 2008-12-06 08:44:53 UTC
Regarding a more generalized solution, it might make sense to file a separate issue (core/help system) and cc me. I'm suggesting the quick fix to the db 
module so that Tim can have a fix without having to wait for architecture debates to conclude
Comment 5 Geertjan Wielenga 2008-12-06 18:46:07 UTC
In addition to this, all direct references to "NetBeans" need to be removed from the "db" helpset. Even within its own
frame of reference (i.e., assuming that "db" module isn't being reused at all) the title "Using MySQL with the NetBeans
IDE" should actually be "Connecting to a MySQL Database", when you look at the screenshot below:

<img src="http://blogs.sun.com/geertjan/resource/mysql-in-db-module.png"/>
Comment 6 Geertjan Wielenga 2008-12-06 18:47:52 UTC
As a result of the above, the "db" module can't be reused within other applications at all right now.
Comment 7 Geertjan Wielenga 2008-12-06 18:51:07 UTC
When I wrote "direct references to NetBeans", what I meant was: "the word NetBeans should not need to be mentioned at
all in the "db" module, especially not as prominently as in the help topic that I referenced".
Comment 8 James Branam 2008-12-06 18:59:34 UTC
I disagree that the topics should be "Connecting to a MySQL Database." Only a small part of the topic is about
connecting. The topic covers administration and creation of a database too.
Comment 9 Geertjan Wielenga 2008-12-06 19:03:42 UTC
Well, whatever it ends up being called, please don't use "NetBeans IDE" anywhere. I believe, but could be wrong, that
that is standard policy.
Comment 10 James Branam 2008-12-06 19:05:00 UTC
I have removed direct references to NetBeans from the database topics and TOC.

Comment 11 Jesse Glick 2008-12-08 15:35:00 UTC
Geertjan: please do not copy ide.css to other modules. If you wish to make some modules' help sets independent of the
usersguide module, the proper approach is to create a new module containing nothing but ide.css, then make usersguide as
well as other modules with help sets depend on it.
Comment 12 Geertjan Wielenga 2008-12-08 16:04:06 UTC
Makes sense. So long as that module really contains nothing other than 'ide.css', so that it can be reused by modules in
other applications. 
Comment 13 Irina Filippova 2009-11-12 03:17:07 UTC
Changing the status of the issue: from defect to enhancement.
The discussion outcome is that there should be a separate single module that would contain only the ide.css file. This is a request for enhancement, not a defect.
We need to take a look at this post-6.8 FCS
Comment 14 Irina Filippova 2010-10-29 06:24:29 UTC
Geertjan,
Can you please take a look and evaluate whether your suggestion is still needed?
The DB javahelp has been reworked by James to make it as much database-type-agnostic as possible. Is the issue resolved or there is still the need to create a separate module with only ide.css ?
Comment 15 Irina Filippova 2010-12-08 02:55:21 UTC
Closing the issue, as no clarification as to whether it should be kept open has been made. From the docs side, the db javahelp has been reworked.
If needed, please reopen.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo